CenterlineCollection Class

class NXOpen.Annotations.CenterlineCollection

Bases: object

Represents a collection of NXOpen.Annotations.Centerline objects

To obtain an instance of this class, refer to NXOpen.Annotations.AnnotationManager

New in version NX6.0.0.

Methods

Method Description
CreateAutomaticCenterlineBuilder Creates the AutomaticCenterlineBuilder
CreateBoltCircleCenterlineBuilder Creates the BoltCircleCenterline builder
CreateCenterMarkBuilder Creates the CenterMark Builder
CreateCenterline2dBuilder Creates the 2D Centerline builder
CreateCenterline3dBuilder Creates the 3D Centerline builder
CreateCircularCenterlineBuilder Creates the CircularCenterline builder
CreatePmiBoltCircleCenterlineBuilder Creates the PMI BoltCircleCenterline builder
CreatePmiCenterMarkBuilder Creates the Pmi CenterMark Builder
CreatePmiCenterline3dBuilder Creates the Pmi 3D Centerline builder
CreateSymmetricalCenterlineBuilder Creates the Symmetrical Centerline builder
FindObject Finds the Centerline with the given name.

Method Detail

CreateAutomaticCenterlineBuilder

CenterlineCollection.CreateAutomaticCenterlineBuilder

Creates the AutomaticCenterlineBuilder

Signature CreateAutomaticCenterlineBuilder()

Returns:AutomaticCenterlineBuilder object
Return type:NXOpen.Annotations.AutomaticCenterlineBuilder

New in version NX6.0.0.

License requirements: None.

CreateBoltCircleCenterlineBuilder

CenterlineCollection.CreateBoltCircleCenterlineBuilder

Creates the BoltCircleCenterline builder

Signature CreateBoltCircleCenterlineBuilder(centerline)

Parameters:centerline (NXOpen.Annotations.BoltCircleCenterline) – NXOpen.Annotations.BoltCircleCenterline to be edited, if None then create a new one
Returns:BoltCircleCenterlineBuilder object
Return type:NXOpen.Annotations.BoltCircleCenterlineBuilder

New in version NX6.0.0.

License requirements: None.

CreateCenterMarkBuilder

CenterlineCollection.CreateCenterMarkBuilder

Creates the CenterMark Builder

Signature CreateCenterMarkBuilder(centerline)

Parameters:centerline (NXOpen.Annotations.CenterMark) – NXOpen.Annotations.CenterMark to be edited, if None then create a new one
Returns:CenterMarkBuilder Object
Return type:NXOpen.Annotations.CenterMarkBuilder

New in version NX6.0.0.

License requirements: None.

CreateCenterline2dBuilder

CenterlineCollection.CreateCenterline2dBuilder

Creates the 2D Centerline builder

Signature CreateCenterline2dBuilder(cline)

Parameters:cline (NXOpen.Annotations.Centerline2d) – NXOpen.Annotations.Centerline2d to be edited
Returns:Centerline2dBuilder object
Return type:NXOpen.Annotations.Centerline2dBuilder

New in version NX6.0.0.

License requirements: None.

CreateCenterline3dBuilder

CenterlineCollection.CreateCenterline3dBuilder

Creates the 3D Centerline builder

Signature CreateCenterline3dBuilder(cline)

Parameters:cline (NXOpen.Annotations.Centerline3d) – NXOpen.Annotations.Centerline3d to be edited
Returns:Annotations.Centerline3dBuilder object
Return type:NXOpen.Annotations.Centerline3dBuilder

New in version NX6.0.0.

License requirements: None.

CreateCircularCenterlineBuilder

CenterlineCollection.CreateCircularCenterlineBuilder

Creates the CircularCenterline builder

Signature CreateCircularCenterlineBuilder(centerline)

Parameters:centerline (NXOpen.Annotations.CircularCenterline) – NXOpen.Annotations.CircularCenterline to be edited, if None then create a new one
Returns:CircularCenterlineBuilder object
Return type:NXOpen.Annotations.CircularCenterlineBuilder

New in version NX6.0.0.

License requirements: None.

CreatePmiBoltCircleCenterlineBuilder

CenterlineCollection.CreatePmiBoltCircleCenterlineBuilder

Creates the PMI BoltCircleCenterline builder

Signature CreatePmiBoltCircleCenterlineBuilder(centerline)

Parameters:centerline (NXOpen.Annotations.PmiBoltCircleCenterline) – NXOpen.Annotations.PmiBoltCircleCenterline to be edited, if None then create a new one
Returns:PmiBoltCircleCenterlineBuilder object
Return type:NXOpen.Annotations.PmiBoltCircleCenterlineBuilder

New in version NX12.0.0.

License requirements: None.

CreatePmiCenterMarkBuilder

CenterlineCollection.CreatePmiCenterMarkBuilder

Creates the Pmi CenterMark Builder

Signature CreatePmiCenterMarkBuilder(centerline)

Parameters:centerline (NXOpen.Annotations.PmiCenterMark) – NXOpen.Annotations.PmiCenterMark to be edited, if None then create a new one
Returns:PmiCenterMarkBuilder Object
Return type:NXOpen.Annotations.PmiCenterMarkBuilder

New in version NX7.5.0.

License requirements: None.

CreatePmiCenterline3dBuilder

CenterlineCollection.CreatePmiCenterline3dBuilder

Creates the Pmi 3D Centerline builder

Signature CreatePmiCenterline3dBuilder(cline)

Parameters:cline (NXOpen.Annotations.PmiCenterline3d) – NXOpen.Annotations.PmiCenterline3d to be edited
Returns:PmiCenterline3dBuilder object
Return type:NXOpen.Annotations.PmiCenterline3dBuilder

New in version NX7.5.0.

License requirements: None.

CreateSymmetricalCenterlineBuilder

CenterlineCollection.CreateSymmetricalCenterlineBuilder

Creates the Symmetrical Centerline builder

Signature CreateSymmetricalCenterlineBuilder(centerline)

Parameters:centerline (NXOpen.Annotations.SymmetricalCenterline) – NXOpen.Annotations.SymmetricalCenterline to be edited, if None then create a new one
Returns:SymmetricalCenterlineBuilder object
Return type:NXOpen.Annotations.SymmetricalCenterlineBuilder

New in version NX6.0.0.

License requirements: None.

FindObject

CenterlineCollection.FindObject

Finds the Centerline with the given name.

An exception will be thrown if no object can be found with given name

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Identifier of the centerline to be found
Returns:Centerline with this identifier
Return type:NXOpen.Annotations.Centerline

New in version NX6.0.0.

License requirements: None.